#ifndef _h_MOUSE_
#define _h_MOUSE_

#ifndef _h_POINT_
# include <cv/point.h>
#endif


class mouse;

struct mouseEvent{
	byte	buttons;
	bool	doubleClick;
	point	where;
};

point	txt2mou(int x, int y);
point	mou2txt(point);


/*---------------------------------------------------------*/
class mouse{
public:
	static void	show();
	static void	hide();
	static void	hideIf(rect);

	static void	hideArea(rect);
	static void	restrict(rect);
	static void	getEvent(mouseEvent&);
	static void	registerHandler(word mask, FP_PROC func);
	static bool	present() { return bool(buttonCount != 0); }

	static void	suspend();
	static void	resume();
private:
	static byte near buttonCount;

	mouse()		{ resume(); }
	~mouse()	{ suspend(); }
	friend class construct;
}; /* mouse */

#endif /* _h_MOUSE_ */
